function v=polytrig(y, u, m)
% costruisce il polinomio trigonometrico F(u) di grado minimo dulle radici n-esime dell'unita'
% x(k)=2*pi/n *k  k=0, 1, .. n-1 tale che F(x(k))=y(k)

n=length(y)
z= fft(y)/n;
alpha=2*real(z)
beta=-2*imag(z)
v=alpha(1)/2*ones(size(u));
if rem(n, 2)==0 % n e' pari
   v=v+alpha(n/2+1)/2.*cos(n/2*u);
end
   
for j=2: m
		v=v+ alpha(j).*cos((j-1)*u)+beta(j).*sin((j-1)*u); 
end
plot(u, v, 'g')
end	


